<?php
/**
 * @var $link_before
 * @var $before
 * @var $after
 * @var $link_after
 * @var $items_wrap
 * @var $menu_id
 * @var $menu_class
 */

$link = $link_before . '<a href="' . admin_url( 'nav-menus.php' ) . '">' . $before . __( 'Add a menu here', 'wpjobster' ) . $after . '</a>' . $link_after;

// We have a list
if ( FALSE !== stripos( $items_wrap, '<ul' )
	or FALSE !== stripos( $items_wrap, '<ol' ) ) {

	$link = "<li>$link</li>";
}

$output = sprintf( $items_wrap, $menu_id, $menu_class, $link );
if ( ! empty( $container ) ) {
	$output = '<$container class="{$container_class}" id="{$container_id}">$output</$container>';
}

echo $output;